Search documentation of observer

# View Source observer (observer v2.17)

A GUI tool for observing an Erlang system.

Observer is a graphical tool for observing the characteristics of Erlang systems. The tool Observer displays system information, application supervisor trees, process information, ETS tables, Mnesia tables, and contains a front end for Erlang tracing with module `ttb`.

For details about how to get started, see the `User's Guide`.

# Summary

## Functions

start()

Starts the Observer GUI. To stop the tool, close the window or call `stop/0`.

start(Node)

Starts the Observer GUI and tries to connect it to `Node`.

start_and_wait()

Starts the Observer GUI and only return when it is either stopped or the window is closed

start_and_wait(Node)

Starts the Observer GUI and only return when it is either stopped or the window is closed, connects it directly to `Node` like `start/1`.

stop()

Stops the Observer GUI.

# Functions

Link to this function

# start()

View Source (since OTP R15B)

    -spec start() -> ok | {error, term()}.

Starts the Observer GUI. To stop the tool, close the window or call `stop/0`.

Link to this function

# start(Node)

View Source (since OTP 26.0)

    -spec start(Node :: node() | [node()]) -> ok | {error, term()}.

Starts the Observer GUI and tries to connect it to `Node`.

Link to this function

# start_and_wait()

View Source (since OTP 26.0)

    -spec start_and_wait() -> ok.

Starts the Observer GUI and only return when it is either stopped or the window is closed

Link to this function

# start_and_wait(Node)

View Source (since OTP 26.0)

    -spec start_and_wait(Node :: node() | [node()]) -> ok.

Starts the Observer GUI and only return when it is either stopped or the window is closed, connects it directly to `Node` like `start/1`.

Link to this function

# stop()

View Source (since OTP 26.0)

    -spec stop() -> ok.

Stops the Observer GUI.